Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class PerforceLineEndEnum

    java.lang.Object
      org.apache.commons.lang.enums.Enum
          com.pmease.quickbuild.repository.PerforceLineEndEnum

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public final class PerforceLineEndEnum
extends org.apache.commons.lang.enums.Enum

Define perforce end of line enumerations.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary
`static PerforceLineEndEnum` | `LOCAL`
`static PerforceLineEndEnum` | `MAC`
`static PerforceLineEndEnum` | `SHARE`
`static PerforceLineEndEnum` | `UNIX`
`static PerforceLineEndEnum` | `WIN`

Fields inherited from class org.apache.commons.lang.enums.Enum
`iToString`

Method Summary
`static PerforceLineEndEnum` | `getEnum(java.lang.String endOfLine)`
`static java.util.List` | `getEnumList()`
`static java.util.Map` | `getEnumMap()`
`static java.util.Iterator` | `iterator()`

Methods inherited from class org.apache.commons.lang.enums.Enum
`compareTo, equals, getEnum, getEnumClass, getEnumList, getEnumMap, getName, hashCode, iterator, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LOCAL

    public static final PerforceLineEndEnum LOCAL

### UNIX

    public static final PerforceLineEndEnum UNIX

### MAC

    public static final PerforceLineEndEnum MAC

### WIN

    public static final PerforceLineEndEnum WIN

### SHARE

    public static final PerforceLineEndEnum SHARE

Method Detail

### getEnum

    public static PerforceLineEndEnum getEnum(java.lang.String endOfLine)

### getEnumMap

    public static java.util.Map getEnumMap()

### getEnumList

    public static java.util.List getEnumList()

### iterator

    public static java.util.Iterator iterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.